<script lang="ts">
import { MetaInfo } from 'vue-meta/types/vue-meta';
import Vue from 'vue';
import BySolutionHero from '~/components/solutions/by-solution/by-solution-hero.vue';
import { Carousel, Filters } from '@/components/events/index.vue';
import { getPageMetadata } from '~/common/meta';

export default Vue.extend({
  name: 'Events',
  components: {
    Carousel,
    BySolutionHero,
    Filters,
  },
  nuxtI18n: false,
  async asyncData({ $content }) {
    const doc = await $content('events/index').fetch();
    return { doc };
  },
  head(): MetaInfo {
    return getPageMetadata((this as any).doc, this.$route.path);
  },
});
</script>

<template>
  <SlpContainer>
    <BySolutionHero :data="doc.header" />
    <Carousel :data="doc.event_videos" />
    <SlpTypography tag="h2" variant="heading2-bold"
      >Upcoming events
    </SlpTypography>
    <Filters :data="doc.events" />
  </SlpContainer>
</template>
